[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TGridColumns.Create

Constructor for the class instance.

## Declaration

Source position: grids.pas line 660

`public constructor TGridColumns.Create(`
`AGrid: TCustomGrid;`
`aItemClass: TCollectionItemClass`
`);`

## Arguments

`AGrid` |  | Grid which owns the collection of column definitions.
`aItemClass` |  | Class reference used to create new items in the collection.

## Description

Create is the constructor for the class instance, and calls the inherited method on entry using aItemClass as the class type for new items added to the collection. Create stores the value in AGrid to the Grid property.

## See also

TCollection.Create